commit:     5488b5569d56b7d888013d4349cd91f82018f686
Author:     Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Sun Jul 13 23:02:49 2025 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Jul 16 15:02:21 2025 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=5488b556

kde-plasma/knighttime: new package, add 9999

Bug: https://bugs.gentoo.org/960029
Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Part-of: https://github.com/gentoo/kde/pull/1053
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 kde-plasma/knighttime/knighttime-9999.ebuild | 26 ++++++++++++++++++++++++++
 kde-plasma/knighttime/metadata.xml           | 11 +++++++++++
 2 files changed, 37 insertions(+)

diff --git a/kde-plasma/knighttime/knighttime-9999.ebuild 
b/kde-plasma/knighttime/knighttime-9999.ebuild
new file mode 100644
index 0000000000..aa72bc2f3e
--- /dev/null
+++ b/kde-plasma/knighttime/knighttime-9999.ebuild
@@ -0,0 +1,26 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_TEST="true"
+KFMIN=6.14.0
+QTMIN=6.8.0
+inherit ecm plasma.kde.org xdg
+
+DESCRIPTION="Helpers for scheduling the dark-light cycle"
+
+LICENSE="BSD CC0-1.0 || ( GPL-2 GPL-3 ) || ( LGPL-2.1 LGPL-3 )"
+SLOT="6"
+KEYWORDS=""
+
+DEPEND="
+       >=dev-qt/qtbase-${QTMIN}:6[dbus,gui]
+       >=dev-qt/qtpositioning-${QTMIN}:6
+       >=kde-frameworks/kconfig-${KFMIN}:6
+       >=kde-frameworks/kcoreaddons-${KFMIN}:6
+       >=kde-frameworks/kdbusaddons-${KFMIN}:6
+       >=kde-frameworks/kholidays-${KFMIN}:6
+       >=kde-frameworks/ki18n-${KFMIN}:6
+"
+RDEPEND="${DEPEND}"

diff --git a/kde-plasma/knighttime/metadata.xml 
b/kde-plasma/knighttime/metadata.xml
new file mode 100644
index 0000000000..7937c55772
--- /dev/null
+++ b/kde-plasma/knighttime/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo KDE Project</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="kde-invent">plasma/knighttime</remote-id>
+       </upstream>
+</pkgmetadata>

Reply via email to